# !/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.5

$LastChangedRevision: 1024 $
$LastChangedDate:: 2020-06-25 18:45:41 +0200#$

This file is part of SyMSpace.

Copyright (c) 2017, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

import unittest
from lcm.tdata_interface.pyjdata_interface import PyTArrayInterface
from lcm.tdata_interface.tdata_testing import TDataTesting


class TestPyTArrayInterface(unittest.TestCase):

    @unittest.skipIf(PyTArrayInterface.getInterpreter() == 'python', 'needs jep interpreter to run')
    def test_convert_J2Py(self):
        jobj = TDataTesting.getTArray()
        pyobj = PyTArrayInterface.convert_J2Py(jobj)

        # Todo: test values

    @unittest.skipIf(PyTArrayInterface.getInterpreter() == 'python', 'needs jep interpreter to run')
    def test_convert_Py2J(self):
        pyobj = TDataTesting.getPythonNumpyObjectArray()
        jobj = PyTArrayInterface.convert_Py2J(pyobj)

        # Todo: test values


if __name__ == "__main__":
    from lcm.utils.testing import runUnittest

    runUnittest(PyTArrayInterface.getInterpreter())
