#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.5

$LastChangedRevision: 9253 $
$LastChangedDate:: 2019-07-18 13:25:01 +0200#$

This file is part of SyMSpace.

Copyright (c) 2017, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

import os
from symspace.wrapper.symwrapper import SymProject, SymContainer
from symspace.gui.newpythonfnc import NewPythonFncGUI
from symspace.console.script_utils import ScriptUtils


def main(project, parameter):

    curIndex = project.getIndex()
    
    for idx in range(0,project.getLength()):
        project.setIndex(idx)
        project.resetAllFunctions()

    project.setIndex(curIndex)
    print('Script finished successfully')


if __name__ == '__main__':
    """
    This script resets all function of all indizes in a project
    
    This script needs to be executed in the SyMSpace Python Console.
    """
    ScriptUtils.runWithParams(main, locals())



